<template>
  <a-modal
    :title="title"
    :width="800"
    :visible="visible"
    :confirmLoading="confirmLoading"
    @ok="handleOk"
    @cancel="handleCancel"
    cancelText="关闭"
    wrapClassName="ant-modal-cust-warp"
    style="top:5%;height: 85%;overflow-y: hidden">

    <a-spin :spinning="confirmLoading">
      <a-form-model ref="form"  v-bind="layout"  :model="model" :rules="validatorRules">
        <a-form-model-item label="岗位名称" required  >
          <a-input v-model="model.itemText" placeholder="请输入岗位名称"/>
        </a-form-model-item>
<!--        <a-form-model-item label="配置名称" required prop="configName">-->
<!--          <a-input v-model="model.configNumber" placeholder="请输入配置名称"/>-->
<!--        </a-form-model-item>-->

<!--        <a-form-model-item label="数值"    >-->
<!--          <a-input-number  v-model="model.configNumber"   :min="1" :max="1000"  :default-value="30"/>-->
<!--         </a-form-model-item>-->

      </a-form-model>
    </a-spin>
  </a-modal>
</template>

<script>
import { addPost, editPost } from '@/api/api'
  import { getAction } from '@api/manage'
  export default {
    name: "postConfigModel",
    data () {
      return {
        title:"操作",
        visible: false,
        roleDisabled: false,
        model: {
          configName:'',
          itemText:''
        },
        layout: {
          labelCol: { span: 3 },
          wrapperCol: { span: 14 },
        },
        confirmLoading: false,
        validatorRules:{
          configName: [
            { required: true,message: '请输入岗位名称!'  },
          ],
          configNumber: [
            { required: true, message: '请输入配置数值!' },
            { min: 2, max: 30, message: '长度在 2 到 30 个字符', trigger: 'blur' },
            { validator: this.validateRoleName}
          ]
        },
      }
    },
    created () {
      //备份model原始值
      this.modelDefault = JSON.parse(JSON.stringify(this.model));
    },
    methods: {
      codeActive(){

      },
      add () {
        this.edit(this.modelDefault);
      },
      edit (record) {
        this.model = Object.assign({}, record);
        this.visible = true;
        //编辑页面禁止修改角色编码
        if(this.model.id){
          this.roleDisabled = true;
        }else{
          this.roleDisabled = false;
        }
      },
      close () {
        this.$refs.form.clearValidate();
        this.$emit('close');
        this.visible = false;
      },

      handleOk () {
        const that = this;
        // 触发表单验证
        this.$refs.form.validate(valid => {
          if (valid) {
            that.confirmLoading = true;
            let obj;
            if(that.model.itemText==='' ){
              that.$message.warning("数值不可为空");
              that.confirmLoading = false;
              return false;
            }

            if(!this.model.id){
              obj=addPost(this.model);
            }else{
              obj=editPost(this.model);
            }
            obj.then((res)=>{
              if(res.success){
                that.$message.success(res.message);
                that.$emit('ok');
              }else{
                that.$message.warning(res.message);
              }
            }).finally(() => {
              that.confirmLoading = false;
              that.close();
            })
          }else{
            return false;
          }
        })
      },
      handleCancel () {
        this.close()
      },

    }
  }
</script>

<style scoped>

</style>